@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

	* {
	    padding: 0;
	    margin: 0;
	    box-sizing: border-box;
	    font-family: 'Poppins', sans-serif;
	}
	
	html { 
		background-color:#000000;
	}
	
	body {
		min-height: 100vh;
		background: linear-gradient(
		    135deg,
			#009bfe,
		    #8525ee,
		    #35126a
		);
	}

	.container {
	    height: 100vh;
	    width: 100%;
	    padding: 30px;
	    /*background: linear-gradient(#009bfe, #710099);*/
	}

	.todo-box {
	    width: 100%;
	    max-width: 520px;
	    background: #f6f7ff;
	    border-radius: 15px;
	    margin: 100px auto 20px;
	    padding: 40px 30px 70px;
	}

	h1 {
		font-size:28px;
		line-height:38px;
		font-weight:600;
		color:#fff;
		font-family: 'Poppins', sans-serif;
		margin-bottom:0px;
		padding-bottom:0px;
	}

	h2 {
	    margin-left: 10px;
	}

	.row {
	    margin: 25px 0 25px;
	    background-color: #eee;
	    border-radius: 20px 35px 35px 20px;
	    display: flex;
	    align-items: center;
	    justify-content: space-between;
	    padding-left: 20px;
	}

	#input-box {
	    outline: none;
	    border: none;
	    background: transparent;
	    font-weight: 500;
		font-size:20px;
	    padding: 10px;
		width: 100%;
	}

	button {
	    border: none;
	    outline: none;
	    background: #000;
	    padding: 14px 30px;
	    border-radius: 35px;
	    color: #f6f7ff;
	    cursor: pointer;
	    font-size: 16px;
		font-weight:500;
	}

	li {
	    position: relative;
	    list-style: none;
	    cursor: pointer;
	    user-select: none;
	    padding: 12px 8px 12px 35px;
	    font-size: 17px;
	}
	
	li.checked {
	    color: #bbb;
	    text-decoration: line-through;
		background-size:20px;
		background: url('../images/green_checkmark_mini.png') no-repeat;
		background-size:30px;
		background-position: left;
	}
	li span {
		color:#ff0000;
	}

	span {
	    position: absolute;
	    right: 0;
	    top: 10px;
	    width: 40px;
	    height: 40px;
	    font-size: 22px;
	    color: #000005;
	    line-height: 40px;
	    text-align: center;
	    border-radius: 50%; 
		/*background:red;*/ 
	}

	span:hover {
	    background: #e9eafa;
	}
	.checkmark { 
		color:red;
	}
	#checkmark {
		background: url('../images/green_checkmark.png') no-repeat;
		background-size:contain;
	    position: absolute;
		display:none;
	    right: 40px;
	    top: 10px;
	    width: 30px;
	    height: 30px;
	    font-size: 22px;
	    color: #000005;
	    line-height: 40px;
	    text-align: center;
	    border-radius: 50%; 
	}
	
	
/*///////////////////////////////////////*/
/*///////////  MOBILE STYLES  ///////////*/
/*///////////////////////////////////////*/

@media (max-width: 768px) {
    .container {
        padding: 15px;
    }
    
    .todo-box {
        margin: 10px auto 20px;
        padding: 1px 15px 15px;
    }
    
    button {
        padding: 12px 30px;
    }
    
    li {
        font-size: 18px;
		position: relative;
		list-style: none;
		cursor: pointer;
		user-select: none;
		padding: 12px 8px 12px 35px;
		font-size: 17px;
    }
    
    span {
        width: 30px;
        height: 30px;
        font-size: 28px;
        line-height: 30px;
		color:#ff0000;
    }
}